---
title: "Get Partner Program usage"
description: "Read managed accounts, active Agents and print jobs for one UTC calendar month."
---
<nav class="docs-breadcrumb" aria-label="Breadcrumb"><a href="/docs/">CloudPrint Documentation</a><span aria-hidden="true">/</span><span>API reference</span></nav>

# Get Partner Program usage

<p class="docs-lead">Read managed accounts, active Agents and print jobs for one UTC calendar month.</p>

<div class="api-endpoint-summary"><span class="api-method api-method-get">GET</span><code>/partner-api/v1/usage</code><span><strong>API version:</strong> v1</span><span><strong>operationId:</strong> <code>getPartnerUsage</code></span><a href="/docs/api/v1/partner/usage/index.md">View as Markdown</a></div>

## What this endpoint does

Read managed accounts, active Agents and print jobs for one UTC calendar month.

## Authentication

Send a one-time RS256 Developer Application assertion in `Authorization: Bearer <application_assertion>`. This assertion is not a Public API access token.

## Request

**Production base URL:** `https://public-api.cloudprint.me/partner-api/v1/usage`

### Parameters

| Name | Location | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- | --- |
| `period` | query | `string` | no | UTC calendar month. Defaults to the current month. | example: `"2026-08"` |

### Request body

This endpoint has no request body.

### Example requests

#### cURL

```bash
curl -sS 'https://public-api.cloudprint.me/partner-api/v1/usage?period=2026-08' \
  -H "Authorization: Bearer $APPLICATION_ASSERTION"
```

## Response

**HTTP status:** `200` — Partner usage

### Response fields

| Name | Type | Required | Description | Constraints |
| --- | --- | --- | --- | --- |
| `period` | `string` | yes | — | — |
| `starts_at` | `string (date-time)` | yes | ISO 8601 timestamp recorded by CloudPrint. | — |
| `ends_at` | `string (date-time)` | yes | ISO 8601 timestamp recorded by CloudPrint. | — |
| `managed_accounts` | `integer` | yes | — | min: 0 |
| `active_agents` | `integer` | yes | — | min: 0 |
| `print_jobs` | `integer` | yes | Print jobs returned for the current account and filters. | min: 0 |

### Example response

```json
{
  "period": "string",
  "starts_at": "2026-08-06T12:00:00Z",
  "ends_at": "2026-08-06T12:00:00Z",
  "managed_accounts": 0,
  "active_agents": 0,
  "print_jobs": 0
}
```

## Errors

| HTTP status | Description |
| --- | --- |
| `401` | Application assertion is invalid |
| `403` | Partner capability is not granted |
| `422` | Period is invalid |
| `429` | Rate limit exceeded |
| `500` | Unexpected error |

## Integration guidance

## Related documentation

<div class="docs-card-grid"><a class="docs-card" href="/docs/partner-platform/customer-accounts/"><strong>Provision and manage customer accounts</strong><span>Authenticate Partner API requests, provision managed customer accounts and control their lifecycle safely.</span></a>
<a class="docs-card" href="/docs/api/v1/partner/accounts/list/"><strong>List managed customer accounts</strong><span>List customer accounts provisioned by the authenticated partner application, including agent and printer health.</span></a>
<a class="docs-card" href="/docs/api/v1/errors/"><strong>CloudPrint API errors and retries</strong><span>Handle CloudPrint API status codes, machine-readable errors, rate limits, request tracing and safe retry decisions.</span></a></div>

<nav class="docs-resource-links" aria-label="Next steps"><a href="/docs/api/v1/explorer/">OpenAPI</a><a href="https://my.cloudprint.me">Open account</a><a href="/docs/legal/privacy/">Privacy Policy</a><a href="/docs/legal/terms/">Terms</a><a href="/docs/legal/payments-and-refunds/">Payment and refunds</a><a href="/docs/legal/data-processing/">DPA</a></nav>